import { EventEmitter, OnInit, NgZone, OnDestroy } from '@angular/core';
import { MatCalendar } from '@angular/material';
import { DatepickerHeaderComponent } from './datepicker-header/datepicker-header.component';
export declare class DatepickerPopupComponent implements OnInit, OnDestroy {
    private _ngZone;
    selectedDateChanged: EventEmitter<Date>;
    cancelButtonClicked: EventEmitter<any>;
    okButtonClicked: EventEmitter<Date>;
    matCalendar: MatCalendar<Date>;
    datepickerHeader: typeof DatepickerHeaderComponent;
    selectedDate: Date;
    weeks: Array<any>;
    private _componentLoadedSubscription;
    private _datepickerSubscription;
    constructor(_ngZone: NgZone);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChanged(): void;
    onMonthSelected(selectedMonth: Date): void;
    onSelectedChanged(selectedDate: Date): void;
    onCancelButtonClicked(): void;
    onOkButtonClicked(): void;
    open(selectedDate?: Date): void;
    private _focusOnSelectedDate();
    private _calculateWeeks(month);
    private getWeeks(month);
}
