import { ElementRef, AfterContentInit, OnDestroy } from '@angular/core';
import { MatFormField } from '@angular/material';
import { NgControl } from '@angular/forms';
import { DatePipe } from '@angular/common';
import { DatepickerComponent } from '../datepicker-component/datepicker.component';
export declare class DatepickerInputDirective implements AfterContentInit, OnDestroy {
    private _elementRef;
    private _datepipe;
    private _control;
    private _formField;
    penDatepicker: DatepickerComponent;
    private _dateFormatString;
    private _datepicker;
    private _datepickerSubscription;
    constructor(_elementRef: ElementRef, _datepipe: DatePipe, _control: NgControl, _formField: MatFormField);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    getConnectedOverlayOrigin(): ElementRef;
    private registerDatepicker(value);
}
