import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatAutocompleteTrigger } from '@angular/material';
export declare class SearchComponent implements OnInit, OnDestroy {
    searchAutoComplete: MatAutocompleteTrigger;
    maxWidth: number;
    placeholderText: string;
    autoCompleteData: Array<any>;
    doSearch: EventEmitter<string>;
    searchControl: FormControl;
    suggestions: string[];
    filteredOptions: Array<string>;
    private _searchControlSub;
    private _searchText;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    search(value: any, $event: any): void;
    private _prepareSuggestions(autoCompleteData);
    private _filter(value);
}
